/****************************************************************************
**
** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Nokia Corporation (qt-info@nokia.com)
**
** This file is part of the QtNetwork module of the Qt Toolkit.
**
** $QT_BEGIN_LICENSE:LGPL$
** No Commercial Usage
** This file contains pre-release code and may not be distributed.
** You may use this file in accordance with the terms and conditions
** contained in the Technology Preview License Agreement accompanying
** this package.
**
** GNU Lesser General Public License Usage
** Alternatively, this file may be used under the terms of the GNU Lesser
** General Public License version 2.1 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPL included in the
** packaging of this file.  Please review the following information to
** ensure the GNU Lesser General Public License version 2.1 requirements
** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
**
** In addition, as a special exception, Nokia gives you certain additional
** rights.  These rights are described in the Nokia Qt LGPL Exception
** version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
**
** If you have questions regarding the use of this file, please contact
** Nokia at qt-info@nokia.com.
**
**
**
**
**
**
**
**
** $QT_END_LICENSE$
**
****************************************************************************/
#include <QtCore/qobject.h>

#ifndef QMAEMOINTERNETCONNECTIVITY_H
#define QMAEMOINTERNETCONNECTIVITY_H

#ifdef Q_WS_MAEMO_5

QT_BEGIN_HEADER

QT_BEGIN_NAMESPACE

QT_MODULE(Network)

class Q_NETWORK_EXPORT QMaemoInternetConnectivity
{
public: 
    static bool isConnected();
    static QString currentAPName(); 
    static void connectionRequest();
    static bool isHttpProxyUsed();

    static bool isAutoConnectEnabled();
    static void setAutoConnectEnabled(bool enabled);
};

QT_END_NAMESPACE

QT_END_HEADER

#endif //Q_WS_MAEMO_5

#endif //QMAEMOINTERNETCONNECTIVITY_H
